AlertsApi
All URIs are relative to http://admin.alertsense.com/api
| Method | HTTP request | Description |
|---|---|---|
| createAlertWithAttachment | POST /v2/alertsWithAttachments | Creates and queues an alert for sending with attachments |
| createAlerts | POST /v2/alerts | Creates and queues an alert for sending |
| createAlertsPreview | POST /v2/alerts/preview | |
| createShortenedUrl | POST /v2/public/shortenedUrl | |
| findAlerts | POST /v2/alerts/find | |
| getAggregatedChannelSummaryResponse | GET /v2/alerts/{alertId}/results/channels/aggregatedSummary | |
| getAlertChannelResultsEmail | GET /v2/alerts/{alertId}/results/channels/email | |
| getAlertChannelResultsEtn | GET /v2/alerts/{alertId}/results/channels/etn | |
| getAlertChannelResultsText | GET /v2/alerts/{alertId}/results/channels/text | |
| getAlertChannelResultsVoice | GET /v2/alerts/{alertId}/results/channels/voice | |
| getAlertsById | GET /v2/alerts/{id} | |
| getAlertsByIdRecipients | GET /v2/alerts/{id}/results/recipients | |
| getAlertsByIdResults | GET /v2/alerts/{id}/results | |
| getAlertsByIdSingleRecipient | GET /v2/alerts/{alertId}/results/recipients/{recipientId} | |
| getAlertsByIdStatus | GET /v2/alerts/{id}/status | |
| getAlertsDefault | POST /v2/alerts/defaults | |
| getAlertsSentV3 | GET /v3/user/alerts/sent | |
| getNextdoorChannelStatus | GET /v2/alerts/{alertId}/results/channels/social/nextdoor | |
| sendBulkAlerts | POST /v4/{tenantId}/alerts/bulkSend |
createAlertWithAttachment
SendAlertResponse createAlertWithAttachment(alert, attachment, jobId, async)
Creates and queues an alert for sending with attachments
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alert | String | required parameters for sending an alert | [default to null] |
| attachment | File | File to upload | [optional] [default to null] |
| jobId | String | Send Alert Job Id | [optional] [default to null] |
| async | Boolean | deprecated. Specifies whether an asynchronous notification is sent to the sender on alert transition to final state | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: multipart/form-data
- Accept: application/json
createAlerts
SendAlertResponse createAlerts(body)
Creates and queues an alert for sending
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | SendAlertRequest | required parameters for sending an alert |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json
createAlertsPreview
SingleAlertSettingsResponse createAlertsPreview(PreviewAlertRequest)
Validates an alert and returns a preview
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| PreviewAlertRequest | PreviewAlertRequest | Required parameters for previewing an alert |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json
createShortenedUrl
ShortenedUrlResponse createShortenedUrl(CreateShortenedUrlRequest)
Create a shortened URL
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| CreateShortenedUrlRequest | CreateShortenedUrlRequest | Required parameters |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json
findAlerts
PagedAlertSettingsResponse findAlerts(body)
List a summary of all alerts sent
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| body | FindAlertRequest | Filters for alert search | [optional] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json
getAggregatedChannelSummaryResponse
AggregatedChannelSummaryResponse getAggregatedChannelSummaryResponse(alertId)
Returns the summary results for the email, voice, and sms channels.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | the alert id of the channel to return | [default to null] |
Return type
AggregatedChannelSummaryResponse
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertChannelResultsEmail
EmailResultsSummaryResponse getAlertChannelResultsEmail(alertId, page, pageSize)
Return the results for the email channel.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | the alert id of the channel to return | [default to null] |
| page | Integer | the page number of contacts to return. (1 by default) | [optional] [default to null] |
| pageSize | Integer | the desired number of contacts per page. (25 by default) | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertChannelResultsEtn
EtnResultsSummaryResponse getAlertChannelResultsEtn(alertId, page, pageSize)
Return the results for the ETN channel.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | the alert id of the channel to return | [default to null] |
| page | Integer | the page number of contacts to return. (1 by default) | [optional] [default to null] |
| pageSize | Integer | the desired number of contacts per page. (25 by default) | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertChannelResultsText
SmsResultsSummaryResponse getAlertChannelResultsText(alertId, page, pageSize)
Return the results for the Text channel.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | the alert id of the channel to return | [default to null] |
| page | Integer | the page number of contacts to return. (1 by default) | [optional] [default to null] |
| pageSize | Integer | the desired number of contacts per page. (25 by default) | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertChannelResultsVoice
VoiceResultsSummaryResponse getAlertChannelResultsVoice(alertId, page, pageSize)
Return the results for the Voice channel.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | the alert id of the channel to return | [default to null] |
| page | Integer | the page number of contacts to return. (1 by default) | [optional] [default to null] |
| pageSize | Integer | the desired number of contacts per page. (25 by default) | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertsById
SingleAlertSettingsResponse getAlertsById(id, replaceMessageVariables)
Returns the alert details for the ID specified
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | Integer | Id of the alert | [default to null] |
| replaceMessageVariables | Boolean | Replace message variables with values from a contact. Defaults to true | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertsByIdRecipients
PagedRecipientResponse getAlertsByIdRecipients(id, recipientIds, isMandatory, pollOptionId, name, email, page, pageSize, sort)
Results for all the recipients who have received this specific alert.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | Integer | Id of the alert | [default to null] |
| recipientIds | List | Filters recipeints by IDs. | [optional] [default to null] |
| isMandatory | Boolean | Filters by recipeints that were mandatory when the alert was sent. | [optional] [default to null] |
| pollOptionId | Integer | Filters recipeints by the poll option they selected. | [optional] [default to null] |
| name | String | Filters recipeints by name. | [optional] [default to null] |
| String | Filters recipeints by email. | [optional] [default to null] | |
| page | Integer | The page number of items to return. (1 by default) | [optional] [default to 1] |
| pageSize | Integer | The desired number of items per page. (25 by default) | [optional] [default to 25] |
| sort | String | A comma seperated list of properties to order by. Properties preceded by a '-' will be ordered descending. (e.g. ?sort=lastName,firstName,-responseTime). Property names are case insensitive. | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertsByIdResults
SingleDeliverySummaryResponse getAlertsByIdResults(id)
Result summary for the specified alert.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | Integer | Id of the alert | [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertsByIdSingleRecipient
SingleRecipientResponse getAlertsByIdSingleRecipient(alertId, recipientId)
Results for the specified recipient who has received this specific alert.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | Id of the alert | [default to null] |
| recipientId | Integer | Id of the recipient | [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertsByIdStatus
SingleAlertStatusResponse getAlertsByIdStatus(id)
Current status for the specified alert.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | Integer | Id of the alert | [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getAlertsDefault
SingleAlertDefaultsResponse getAlertsDefault(singleAlertDefaultsRequest)
Add new Alert Default Form
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| singleAlertDefaultsRequest | SingleAlertDefaultsRequest | [optional] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json
getAlertsSentV3
PagedAlertSettingsResponse getAlertsSentV3(after, before, alertCompletion, alertType, facilityName, hidden, incident, messagepriority, page, pageSize, sort, subject, from)
Returns a paged list of the alerts sent by the current user.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| after | Date | Filter alerts by date sent. | [optional] [default to null] |
| before | Date | Filter alerts by date sent. | [optional] [default to null] |
| alertCompletion | List | Filter alerts sent by the completion status of the alert. | [optional] [default to null] [enum: Sent, Processing, Failed] |
| alertType | String | Filter alerts by type. | [optional] [default to null] [enum: Default, Poll, Conference] |
| facilityName | String | Filter alerts by facility name. | [optional] [default to null] |
| hidden | Boolean | Filter alerts by visibility. | [optional] [default to null] |
| incident | String | Filter alerts by incident name. | [optional] [default to null] |
| messagepriority | String | Filter alerts by priority. | [optional] [default to null] [enum: Emergency, NonEmergency] |
| page | Integer | The page number of items to return. (1 by default) | [optional] [default to 1] |
| pageSize | Integer | The desired number of items per page. (25 by default) | [optional] [default to 25] |
| sort | String | A comma seperated list of properties to order by. Properties preceded by a '-' will be ordered descending. (e.g. ?sort=lastName,firstName,-responseTime). Property names are case insensitive. | [optional] [default to null] |
| subject | String | Filter alerts by subject. | [optional] [default to null] |
| from | String | Filter alerts by from value. | [optional] [default to null] |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
getNextdoorChannelStatus
PagedNextdoorChannelStatusResponse getNextdoorChannelStatus(alertId, page, pageSize, sort)
Gets the Nextdoor channel status for a given alertId.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| alertId | Integer | The AlertId. | [default to null] |
| page | Integer | The page number of status records to return. (1 by default) | [optional] [default to null] |
| pageSize | Integer | The desired number of status records per page. (25 by default) | [optional] [default to null] |
| sort | String | A comma seperated list of properties to order by. Property names are case insensitive. Default is AccountName. | [optional] [default to null] |
Return type
PagedNextdoorChannelStatusResponse
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
sendBulkAlerts
BulkSendAlertResponse sendBulkAlerts(tenantId, bulkSendAlertRequest)
Sends multiple alerts in a single request. (tenant based)
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantId | Integer | The tenantId to use for the request | [default to null] |
| bulkSendAlertRequest | BulkSendAlertRequest | The request details for sending multiple alerts. |
Return type
Authorization
Oauth2Scheme, JwtBearerTokenScheme
HTTP request headers
- Content-Type: application/json
- Accept: application/json